function [out1,out2] =calc_overshoot(arr1,arr2)
try
    count=length(arr1);
    init_temp=min (arr1);
    fin_temp=arr1(count);
    maxim=max(arr1);
    out1=((maxim-fin_temp)/(fin_temp-init_temp))*100;
    [row column]=find(arr2==maxim);
    out2=arr2(min(row),1);
catch
    error('Sample size too small');
end